Subject: [bug#41066] [PATCH] gnu: bootloader: Support for chain loading.

From: Stefan <[email-masked]>
Date: Sat, 7 Nov 2020 22:14:57 +0100

Hi!

I did some more improvements to my previous patch.

Before copying files, it makes sense to check if the bootloader target is actually a directory. Also there is the convention for bootloader installer to check e.g. /mnt/boot/efi for existence and to prefer it over /boot/efi.

If someone implements an own installer procedure, then that installer gets the bootloader profile passed and may handle the files collection already, in which case copying them afterwards into the target directory is not wanted any more. So I added a #:copy-files? option to prevent copying files, but defaulting to #t.

For the generation of a profile a list of hooks is expected. I changed the #:hook option to be a #:hooks option and allow a single procedure and a list of procedures.

Schüss

Stefan